/// <reference types="node" />
import { GetServerSidePropsContext, NextPageContext } from "next";
import { Context } from "next-redux-wrapper";
export declare const isClient: () => boolean;
/**
 * Returns whether the provided context is a `GetServerSidePropsContext` or a `PageContext` with
 * `req` and `res` set.
 */
export declare const isSsrContext: (context: Context) => context is GetServerSidePropsContext<import("querystring").ParsedUrlQuery> | import("type-fest/source/simplify").Simplify<Pick<NextPageContext<any>, "err" | "pathname" | "query" | "asPath" | "AppTree" | "store"> & Required<Pick<NextPageContext<any>, "req" | "res">>>;
/**
 * Returns whether the provided context is an `AppContext`.
 */
export declare const isAppContext: (context: Context) => context is import("next/dist/next-server/lib/utils").AppContextType<import("next/dist/client/router").Router>;
